%define name    drawmap 
%define version 2.5
%define release 4mdk

Summary: A cartography package that draws maps of the USA
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.ttc-cmc.net/~fme/%{name}-%{version}.tar.bz2
URL: http://www.ttc-cmc.net/~fme/drawmap.html
License: GPL
Group: Sciences/Geosciences
Buildrequires: groff groff-for-man
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Drawmap is a cartography package that draws maps of the USA using data
from the USGS.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build
perl -pi -e "s| -g| -g \\$\(CFLAGS)||g;" Makefile

make CFLAGS="$RPM_OPT_FLAGS" all

%install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
install -m 644 *.1  $RPM_BUILD_ROOT%{_mandir}/man1/

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755  drawmap ll{2utm,search} utm2ll \
    $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING* README WHATS_NEW
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue May 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.5-4mdk
- rebuild

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5-3mdk
- adjust buildrequires

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5-2mdk
- rebuild

* Wed Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5-1mdk
- 2.5

* Tue Jul 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.4-1mdk
- updated to 2.4

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- updated to 2.2

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0-2mdk
- BM
- macros

* Thu Jul 13 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 2.0-1mdk
  - v2.0 (initial packaging from freshmeat)
